Package com.xebialabs.xlrelease.variable

# Class VariablesGraphResolver$

java.lang.Object
com.xebialabs.xlrelease.variable.VariablesGraphResolver$

All Implemented Interfaces:
  `grizzled.slf4j.Logging`

public class VariablesGraphResolver$ extends Object implements grizzled.slf4j.Logging

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final VariablesGraphResolver$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariablesGraphResolver$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `scala.collection.immutable.Map<String,scala.collection.immutable.Set<String>>`
  `dependenciesFor(scala.collection.immutable.Map<String,VariablesGraphResolver.Var<?,? extends Variable>> scope)`
  `Graph<String>`
  `graphFor(scala.collection.immutable.Map<String,scala.collection.immutable.Set<String>> deps)`
  `scala.collection.immutable.Map<String,VariablesGraphResolver.Var<?,? extends Variable>>`
  `resolve(scala.collection.immutable.Set<Variable> variables)`
  `scala.Tuple2<scala.collection.immutable.Map<String,String>,scala.collection.immutable.Map<String,String>>`
  `resolveAsStrings(scala.collection.immutable.Set<Variable> variables)`
  `scala.collection.immutable.Map<String,VariablesGraphResolver.Var<?,? extends Variable>>`
  `scopeFor(scala.collection.immutable.Set<Variable> variables)`
  `<V extends Variable>
  String`
  `valueAsString(V variable, Object value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface grizzled.slf4j.Logging

  `debug, debug, debug, error, error, error, grizzled$slf4j$Logging$$_logger, info, info, info, isDebugEnabled, isErrorEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled, logger, loggerName, trace, trace, trace, warn, warn, warn`

- ## Field Details

  - ### MODULE$

    public static final VariablesGraphResolver$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### VariablesGraphResolver$

    public VariablesGraphResolver$()

- ## Method Details

  - ### resolveAsStrings

    public scala.Tuple2<scala.collection.immutable.Map<String,String>,scala.collection.immutable.Map<String,String>> resolveAsStrings(scala.collection.immutable.Set<Variable> variables)

  - ### resolve

    public scala.collection.immutable.Map<String,VariablesGraphResolver.Var<?,? extends Variable>> resolve(scala.collection.immutable.Set<Variable> variables)

  - ### valueAsString

    public <V extends Variable> String valueAsString(V variable, Object value)

  - ### scopeFor

    public scala.collection.immutable.Map<String,VariablesGraphResolver.Var<?,? extends Variable>> scopeFor(scala.collection.immutable.Set<Variable> variables)

  - ### dependenciesFor

    public scala.collection.immutable.Map<String,scala.collection.immutable.Set<String>> dependenciesFor(scala.collection.immutable.Map<String,VariablesGraphResolver.Var<?,? extends Variable>> scope)

  - ### graphFor

    public Graph<String> graphFor(scala.collection.immutable.Map<String,scala.collection.immutable.Set<String>> deps)